Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Class EmitterInfo

    java.lang.Object
      org.eclipse.birt.report.engine.api.EmitterInfo

    public class EmitterInfo

extends java.lang.Object

The descriptor of the plugin emitter.

Constructor Summary
`EmitterInfo(java.lang.String format, java.lang.String id, java.lang.String pagination, java.lang.String mimeType, java.lang.String icon, java.lang.String namespace, java.lang.String fileExt, java.lang.Boolean outputDisplayNone, java.lang.Boolean isHidden, java.lang.String supportedImageFormats, boolean needOutputResultSet, org.eclipse.birt.core.framework.IConfigurationElement emitter)`

Method Summary
`org.eclipse.birt.core.framework.IConfigurationElement` | `getEmitter()` Get the emitter instance of the emitter.
`java.lang.String` | `getFileExtension()` get the file extension of this emitter's output, "." not included
`java.lang.String` | `getFormat()` Get the format of the emitter.
`java.lang.String` | `getIcon()` Get the icon of the emitter.
`java.lang.String` | `getID()` Get the id of the emitter.
`java.lang.String` | `getMimeType()` Get the mimeType of the emitter.
`java.lang.String` | `getNamespace()` Get the namespace of the emitter.
`java.lang.Boolean` | `getOutputDisplayNone()` Get the outputDisplayNone of the emitter.
`java.lang.String` | `getPagination()` Get the pagination of the emitter.
`java.lang.String` | `getSupportedImageFormats()` get the image formats the emitter supports
`java.lang.Boolean` | `isHidden()` get whether format is allowed to be shown
`boolean` | `needOutputResultSet()` If the emitter needs output query result set.
`void` | `setNeedOutputResultSet(boolean needOutputResultSet)` Set needOutputResultSet.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmitterInfo

    public EmitterInfo(java.lang.String format,
                       java.lang.String id,
                       java.lang.String pagination,
                       java.lang.String mimeType,
                       java.lang.String icon,
                       java.lang.String namespace,
                       java.lang.String fileExt,
                       java.lang.Boolean outputDisplayNone,
                       java.lang.Boolean isHidden,
                       java.lang.String supportedImageFormats,
                       boolean needOutputResultSet,
                       org.eclipse.birt.core.framework.IConfigurationElement emitter)

Method Detail

### getNamespace

    public java.lang.String getNamespace()

  Get the namespace of the emitter.

  Returns:
    namespace of the emitter

### getIcon

    public java.lang.String getIcon()

  Get the icon of the emitter.

  Returns:

### getFormat

    public java.lang.String getFormat()

  Get the format of the emitter.

  Returns:
    format of the emitter

### getID

    public java.lang.String getID()

  Get the id of the emitter.

  Returns:
    id of the emitter

### getEmitter

    public org.eclipse.birt.core.framework.IConfigurationElement getEmitter()

  Get the emitter instance of the emitter.

  Returns:
    emitter instance

### getMimeType

    public java.lang.String getMimeType()

  Get the mimeType of the emitter.

  Returns:
    mimeType of the emitter

### getPagination

    public java.lang.String getPagination()

  Get the pagination of the emitter.

  Returns:
    pagination of the emitter

### getOutputDisplayNone

    public java.lang.Boolean getOutputDisplayNone()

  Get the outputDisplayNone of the emitter.

  Returns:
    outputDisplayNone of the emitter

### getFileExtension

    public java.lang.String getFileExtension()

  get the file extension of this emitter's output, "." not included

  Returns:
    file extension

### isHidden

    public java.lang.Boolean isHidden()

  get whether format is allowed to be shown

  Returns:
    hideFormat

### getSupportedImageFormats

    public java.lang.String getSupportedImageFormats()

  get the image formats the emitter supports

  Returns:
    the supported image formats.

### needOutputResultSet

    public boolean needOutputResultSet()

  If the emitter needs output query result set.

  Returns:

### setNeedOutputResultSet

    public void setNeedOutputResultSet(boolean needOutputResultSet)

  Set needOutputResultSet.

  Parameters:
    `needOutputResultSet` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.